Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.io.abstract_syntax
Class AbstractOWLLexer

    java.lang.Object
      |
      +--antlr.CharScanner
            |
            +--org.semanticweb.owl.io.abstract_syntax.AbstractOWLLexer

All Implemented Interfaces:
  OWLTokenTypes, antlr.TokenStream

public class AbstractOWLLexer
extends antlr.CharScanner
implements OWLTokenTypes, antlr.TokenStream

Lexer for OWL abstract syntax.

Generated by ANTLR from file `lexer.g`.

Field Summary
`static antlr.collections.impl.BitSet` | `_tokenSet_0`
`static antlr.collections.impl.BitSet` | `_tokenSet_1`
`static antlr.collections.impl.BitSet` | `_tokenSet_2`
`static antlr.collections.impl.BitSet` | `_tokenSet_3`
`static antlr.collections.impl.BitSet` | `_tokenSet_4`
`static antlr.collections.impl.BitSet` | `_tokenSet_5`
`static antlr.collections.impl.BitSet` | `_tokenSet_6`
`static antlr.collections.impl.BitSet` | `_tokenSet_7`
`static antlr.collections.impl.BitSet` | `_tokenSet_8`
`static antlr.collections.impl.BitSet` | `_tokenSet_9`

Fields inherited from class antlr.CharScanner
`_returnToken, caseSensitive, caseSensitiveLiterals, commitToPath, EOF_CHAR, hashString, inputState, literals, saveConsumedInput, tabsize, text, tokenObjectClass, traceDepth`

Fields inherited from interface org.semanticweb.owl.io.abstract_syntax.OWLTokenTypes
`ALL_VALUES_FROM, ANNOTATION, ANNOTATION_LOWER, ANNOTATION_PROPERTY, ARABIC_DIGIT, AT, CARD, CARDINALITY, CLASS, COLON, COMPLEMENT_OF, COMPLETE, DASH, DATATYPE, DATATYPE_PROPERTY, DEPRECATED, DIFFERENT_INDIVIDUALS, DIGIT_NON_ARABIC, DISJOINT_CLASSES, DOMAIN, DOUBLE_CARET, ENUMERATED_CLASS, EOF, EQUAL, EQUIVALENT_CLASSES, EQUIVALENT_PROPERTIES, ESC, FUNCTIONAL, INDIVIDUAL, INTERSECTION_OF, INVERSE_FUNCTIONAL, INVERSE_OF, LANGLE, LANGUAGE, LETTER, LOCAL_NAME, LOWER_ROMAN, LPAREN, MAX_CARDINALITY, MIN_CARDINALITY, ML_COMMENT, NAMESPACE, NULL_TREE_LOOKAHEAD, OBJECT_PROPERTY, ONE_OF, ONTOLOGY, ONTOLOGY_PROPERTY, ORDER_ENFORCING_DUMMY_TOKEN, PARTIAL, PLUS, PREFIX, QUOTE, QUOTED_STRING, RANGE, RANGLE, RDFSLITERAL, REF_PREFIX, RESTRICTION, RPAREN, SAME_INDIVIDUAL, SL_COMMENT, SOME_VALUES_FROM, SUB_CLASS_OF, SUB_PROPERTY_OF, SUPER, SYMMETRIC, TRANSITIVE, TYPE, UNDERSCORE, UNION_OF, URI_ID, VALUE, VOCAB, WS`

Constructor Summary
`AbstractOWLLexer(antlr.InputBuffer ib)`
`AbstractOWLLexer(InputStream in)`
`AbstractOWLLexer(antlr.LexerSharedInputState state)`
`AbstractOWLLexer(Reader in)`

Method Summary
`protected void` | `mALL_VALUES_FROM(boolean _createToken)`
`protected void` | `mANNOTATION_LOWER(boolean _createToken)`
`protected void` | `mANNOTATION_PROPERTY(boolean _createToken)`
`protected void` | `mANNOTATION(boolean _createToken)`
`protected void` | `mARABIC_DIGIT(boolean _createToken)`
`void` | `mAT(boolean _createToken)`
`protected void` | `mCARD(boolean _createToken)`
`protected void` | `mCARDINALITY(boolean _createToken)`
`protected void` | `mCLASS(boolean _createToken)`
`void` | `mCOLON(boolean _createToken)`
`protected void` | `mCOMPLEMENT_OF(boolean _createToken)`
`protected void` | `mCOMPLETE(boolean _createToken)`
`void` | `mDASH(boolean _createToken)`
`protected void` | `mDATATYPE_PROPERTY(boolean _createToken)`
`protected void` | `mDATATYPE(boolean _createToken)`
`protected void` | `mDEPRECATED(boolean _createToken)`
`protected void` | `mDIFFERENT_INDIVIDUALS(boolean _createToken)`
`protected void` | `mDIGIT_NON_ARABIC(boolean _createToken)`
`protected void` | `mDISJOINT_CLASSES(boolean _createToken)`
`protected void` | `mDOMAIN(boolean _createToken)`
`void` | `mDOUBLE_CARET(boolean _createToken)`
`protected void` | `mENUMERATED_CLASS(boolean _createToken)`
`void` | `mEQUAL(boolean _createToken)`
`protected void` | `mEQUIVALENT_CLASSES(boolean _createToken)`
`protected void` | `mEQUIVALENT_PROPERTIES(boolean _createToken)`
`protected void` | `mESC(boolean _createToken)`
`protected void` | `mFUNCTIONAL(boolean _createToken)`
`protected void` | `mINDIVIDUAL(boolean _createToken)`
`protected void` | `mINTERSECTION_OF(boolean _createToken)`
`protected void` | `mINVERSE_FUNCTIONAL(boolean _createToken)`
`protected void` | `mINVERSE_OF(boolean _createToken)`
`void` | `mLANGLE(boolean _createToken)`
`protected void` | `mLANGUAGE(boolean _createToken)`
`protected void` | `mLETTER(boolean _createToken)`
`protected void` | `mLOCAL_NAME(boolean _createToken)`
`protected void` | `mLOWER_ROMAN(boolean _createToken)`
`void` | `mLPAREN(boolean _createToken)`
`protected void` | `mMAX_CARDINALITY(boolean _createToken)`
`protected void` | `mMIN_CARDINALITY(boolean _createToken)`
`void` | `mML_COMMENT(boolean _createToken)`
`protected void` | `mNAMESPACE(boolean _createToken)`
`protected void` | `mOBJECT_PROPERTY(boolean _createToken)`
`protected void` | `mONE_OF(boolean _createToken)`
`protected void` | `mONTOLOGY_PROPERTY(boolean _createToken)`
`protected void` | `mONTOLOGY(boolean _createToken)`
`void` | `mORDER_ENFORCING_DUMMY_TOKEN(boolean _createToken)` Trick to enforce an order on keyword recognition (copied from Jena's n3.g).
`protected void` | `mPARTIAL(boolean _createToken)`
`void` | `mPLUS(boolean _createToken)`
`protected void` | `mPREFIX(boolean _createToken)`
`void` | `mQUOTE(boolean _createToken)`
`void` | `mQUOTED_STRING(boolean _createToken)`
`protected void` | `mRANGE(boolean _createToken)`
`void` | `mRANGLE(boolean _createToken)`
`protected void` | `mRDFSLITERAL(boolean _createToken)`
`protected void` | `mREF_PREFIX(boolean _createToken)`
`protected void` | `mRESTRICTION(boolean _createToken)`
`void` | `mRPAREN(boolean _createToken)`
`protected void` | `mSAME_INDIVIDUAL(boolean _createToken)`
`void` | `mSL_COMMENT(boolean _createToken)`
`protected void` | `mSOME_VALUES_FROM(boolean _createToken)`
`protected void` | `mSUB_CLASS_OF(boolean _createToken)`
`protected void` | `mSUB_PROPERTY_OF(boolean _createToken)`
`protected void` | `mSUPER(boolean _createToken)`
`protected void` | `mSYMMETRIC(boolean _createToken)`
`protected void` | `mTRANSITIVE(boolean _createToken)`
`protected void` | `mTYPE(boolean _createToken)`
`void` | `mUNDERSCORE(boolean _createToken)`
`protected void` | `mUNION_OF(boolean _createToken)`
`void` | `mURI_ID(boolean _createToken)`
`protected void` | `mVALUE(boolean _createToken)`
`protected void` | `mVOCAB(boolean _createToken)`
`void` | `mWS(boolean _createToken)`
`antlr.Token` | `nextToken()`

Methods inherited from class antlr.CharScanner
`append, append, commit, consume, consumeUntil, consumeUntil, getCaseSensitive, getCaseSensitiveLiterals, getColumn, getCommitToPath, getFilename, getInputBuffer, getInputState, getLine, getTabSize, getText, getTokenObject, LA, makeToken, mark, match, match, match, matchNot, matchRange, newline, panic, panic, reportError, reportError, reportWarning, resetText, rewind, setCaseSensitive, setColumn, setCommitToPath, setFilename, setInputState, setLine, setTabSize, setText, setTokenObjectClass, tab, testLiteralsTable, testLiteralsTable, toLower, traceIn, traceIndent, traceOut, uponEOF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _tokenSet_0

    public static final antlr.collections.impl.BitSet _tokenSet_0

### _tokenSet_1

    public static final antlr.collections.impl.BitSet _tokenSet_1

### _tokenSet_2

    public static final antlr.collections.impl.BitSet _tokenSet_2

### _tokenSet_3

    public static final antlr.collections.impl.BitSet _tokenSet_3

### _tokenSet_4

    public static final antlr.collections.impl.BitSet _tokenSet_4

### _tokenSet_5

    public static final antlr.collections.impl.BitSet _tokenSet_5

### _tokenSet_6

    public static final antlr.collections.impl.BitSet _tokenSet_6

### _tokenSet_7

    public static final antlr.collections.impl.BitSet _tokenSet_7

### _tokenSet_8

    public static final antlr.collections.impl.BitSet _tokenSet_8

### _tokenSet_9

    public static final antlr.collections.impl.BitSet _tokenSet_9

Constructor Detail

### AbstractOWLLexer

    public AbstractOWLLexer(InputStream in)

### AbstractOWLLexer

    public AbstractOWLLexer(Reader in)

### AbstractOWLLexer

    public AbstractOWLLexer(antlr.InputBuffer ib)

### AbstractOWLLexer

    public AbstractOWLLexer(antlr.LexerSharedInputState state)

Method Detail

### nextToken

    public antlr.Token nextToken()
                          throws antlr.TokenStreamException

  Specified by:
    `nextToken` in interface `antlr.TokenStream`
  Specified by:
    `nextToken` in class `antlr.CharScanner`
    `antlr.TokenStreamException`

### mEQUAL

    public final void mEQUAL(boolean _createToken)
                      throws antlr.RecognitionException,
                             antlr.CharStreamException,
                             antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mUNDERSCORE

    public final void mUNDERSCORE(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mPLUS

    public final void mPLUS(boolean _createToken)
                     throws antlr.RecognitionException,
                            antlr.CharStreamException,
                            antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mDASH

    public final void mDASH(boolean _createToken)
                     throws antlr.RecognitionException,
                            antlr.CharStreamException,
                            antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mQUOTE

    public final void mQUOTE(boolean _createToken)
                      throws antlr.RecognitionException,
                             antlr.CharStreamException,
                             antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mAT

    public final void mAT(boolean _createToken)
                   throws antlr.RecognitionException,
                          antlr.CharStreamException,
                          antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mCOLON

    public final void mCOLON(boolean _createToken)
                      throws antlr.RecognitionException,
                             antlr.CharStreamException,
                             antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mLPAREN

    public final void mLPAREN(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mRPAREN

    public final void mRPAREN(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mLANGLE

    public final void mLANGLE(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mRANGLE

    public final void mRANGLE(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mDOUBLE_CARET

    public final void mDOUBLE_CARET(boolean _createToken)
                             throws antlr.RecognitionException,
                                    antlr.CharStreamException,
                                    antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mWS

    public final void mWS(boolean _createToken)
                   throws antlr.RecognitionException,
                          antlr.CharStreamException,
                          antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mORDER_ENFORCING_DUMMY_TOKEN

    public final void mORDER_ENFORCING_DUMMY_TOKEN(boolean _createToken)
                                            throws antlr.RecognitionException,
                                                   antlr.CharStreamException,
                                                   antlr.TokenStreamException

  Trick to enforce an order on keyword recognition (copied from Jena's n3.g).

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mNAMESPACE

    protected final void mNAMESPACE(boolean _createToken)
                             throws antlr.RecognitionException,
                                    antlr.CharStreamException,
                                    antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mONTOLOGY_PROPERTY

    protected final void mONTOLOGY_PROPERTY(boolean _createToken)
                                     throws antlr.RecognitionException,
                                            antlr.CharStreamException,
                                            antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mONTOLOGY

    protected final void mONTOLOGY(boolean _createToken)
                            throws antlr.RecognitionException,
                                   antlr.CharStreamException,
                                   antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mANNOTATION_PROPERTY

    protected final void mANNOTATION_PROPERTY(boolean _createToken)
                                       throws antlr.RecognitionException,
                                              antlr.CharStreamException,
                                              antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mANNOTATION

    protected final void mANNOTATION(boolean _createToken)
                              throws antlr.RecognitionException,
                                     antlr.CharStreamException,
                                     antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mCLASS

    protected final void mCLASS(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mENUMERATED_CLASS

    protected final void mENUMERATED_CLASS(boolean _createToken)
                                    throws antlr.RecognitionException,
                                           antlr.CharStreamException,
                                           antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mDISJOINT_CLASSES

    protected final void mDISJOINT_CLASSES(boolean _createToken)
                                    throws antlr.RecognitionException,
                                           antlr.CharStreamException,
                                           antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mEQUIVALENT_CLASSES

    protected final void mEQUIVALENT_CLASSES(boolean _createToken)
                                      throws antlr.RecognitionException,
                                             antlr.CharStreamException,
                                             antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mSUB_CLASS_OF

    protected final void mSUB_CLASS_OF(boolean _createToken)
                                throws antlr.RecognitionException,
                                       antlr.CharStreamException,
                                       antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mDATATYPE_PROPERTY

    protected final void mDATATYPE_PROPERTY(boolean _createToken)
                                     throws antlr.RecognitionException,
                                            antlr.CharStreamException,
                                            antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mDATATYPE

    protected final void mDATATYPE(boolean _createToken)
                            throws antlr.RecognitionException,
                                   antlr.CharStreamException,
                                   antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mSUPER

    protected final void mSUPER(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mDOMAIN

    protected final void mDOMAIN(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mRANGE

    protected final void mRANGE(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mOBJECT_PROPERTY

    protected final void mOBJECT_PROPERTY(boolean _createToken)
                                   throws antlr.RecognitionException,
                                          antlr.CharStreamException,
                                          antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mINVERSE_OF

    protected final void mINVERSE_OF(boolean _createToken)
                              throws antlr.RecognitionException,
                                     antlr.CharStreamException,
                                     antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mSYMMETRIC

    protected final void mSYMMETRIC(boolean _createToken)
                             throws antlr.RecognitionException,
                                    antlr.CharStreamException,
                                    antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mFUNCTIONAL

    protected final void mFUNCTIONAL(boolean _createToken)
                              throws antlr.RecognitionException,
                                     antlr.CharStreamException,
                                     antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mINVERSE_FUNCTIONAL

    protected final void mINVERSE_FUNCTIONAL(boolean _createToken)
                                      throws antlr.RecognitionException,
                                             antlr.CharStreamException,
                                             antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTRANSITIVE

    protected final void mTRANSITIVE(boolean _createToken)
                              throws antlr.RecognitionException,
                                     antlr.CharStreamException,
                                     antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mEQUIVALENT_PROPERTIES

    protected final void mEQUIVALENT_PROPERTIES(boolean _createToken)
                                         throws antlr.RecognitionException,
                                                antlr.CharStreamException,
                                                antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mSUB_PROPERTY_OF

    protected final void mSUB_PROPERTY_OF(boolean _createToken)
                                   throws antlr.RecognitionException,
                                          antlr.CharStreamException,
                                          antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mRESTRICTION

    protected final void mRESTRICTION(boolean _createToken)
                               throws antlr.RecognitionException,
                                      antlr.CharStreamException,
                                      antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mUNION_OF

    protected final void mUNION_OF(boolean _createToken)
                            throws antlr.RecognitionException,
                                   antlr.CharStreamException,
                                   antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mINTERSECTION_OF

    protected final void mINTERSECTION_OF(boolean _createToken)
                                   throws antlr.RecognitionException,
                                          antlr.CharStreamException,
                                          antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mCOMPLEMENT_OF

    protected final void mCOMPLEMENT_OF(boolean _createToken)
                                 throws antlr.RecognitionException,
                                        antlr.CharStreamException,
                                        antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mONE_OF

    protected final void mONE_OF(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mALL_VALUES_FROM

    protected final void mALL_VALUES_FROM(boolean _createToken)
                                   throws antlr.RecognitionException,
                                          antlr.CharStreamException,
                                          antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mSOME_VALUES_FROM

    protected final void mSOME_VALUES_FROM(boolean _createToken)
                                    throws antlr.RecognitionException,
                                           antlr.CharStreamException,
                                           antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mVALUE

    protected final void mVALUE(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mMIN_CARDINALITY

    protected final void mMIN_CARDINALITY(boolean _createToken)
                                   throws antlr.RecognitionException,
                                          antlr.CharStreamException,
                                          antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mMAX_CARDINALITY

    protected final void mMAX_CARDINALITY(boolean _createToken)
                                   throws antlr.RecognitionException,
                                          antlr.CharStreamException,
                                          antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mCARDINALITY

    protected final void mCARDINALITY(boolean _createToken)
                               throws antlr.RecognitionException,
                                      antlr.CharStreamException,
                                      antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mSAME_INDIVIDUAL

    protected final void mSAME_INDIVIDUAL(boolean _createToken)
                                   throws antlr.RecognitionException,
                                          antlr.CharStreamException,
                                          antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mDIFFERENT_INDIVIDUALS

    protected final void mDIFFERENT_INDIVIDUALS(boolean _createToken)
                                         throws antlr.RecognitionException,
                                                antlr.CharStreamException,
                                                antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mINDIVIDUAL

    protected final void mINDIVIDUAL(boolean _createToken)
                              throws antlr.RecognitionException,
                                     antlr.CharStreamException,
                                     antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTYPE

    protected final void mTYPE(boolean _createToken)
                        throws antlr.RecognitionException,
                               antlr.CharStreamException,
                               antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mANNOTATION_LOWER

    protected final void mANNOTATION_LOWER(boolean _createToken)
                                    throws antlr.RecognitionException,
                                           antlr.CharStreamException,
                                           antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mRDFSLITERAL

    protected final void mRDFSLITERAL(boolean _createToken)
                               throws antlr.RecognitionException,
                                      antlr.CharStreamException,
                                      antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mDEPRECATED

    protected final void mDEPRECATED(boolean _createToken)
                              throws antlr.RecognitionException,
                                     antlr.CharStreamException,
                                     antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mPARTIAL

    protected final void mPARTIAL(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mCOMPLETE

    protected final void mCOMPLETE(boolean _createToken)
                            throws antlr.RecognitionException,
                                   antlr.CharStreamException,
                                   antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mPREFIX

    protected final void mPREFIX(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mREF_PREFIX

    protected final void mREF_PREFIX(boolean _createToken)
                              throws antlr.RecognitionException,
                                     antlr.CharStreamException,
                                     antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mLANGUAGE

    protected final void mLANGUAGE(boolean _createToken)
                            throws antlr.RecognitionException,
                                   antlr.CharStreamException,
                                   antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mLOCAL_NAME

    protected final void mLOCAL_NAME(boolean _createToken)
                              throws antlr.RecognitionException,
                                     antlr.CharStreamException,
                                     antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mCARD

    protected final void mCARD(boolean _createToken)
                        throws antlr.RecognitionException,
                               antlr.CharStreamException,
                               antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mARABIC_DIGIT

    protected final void mARABIC_DIGIT(boolean _createToken)
                                throws antlr.RecognitionException,
                                       antlr.CharStreamException,
                                       antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mURI_ID

    public final void mURI_ID(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mLOWER_ROMAN

    protected final void mLOWER_ROMAN(boolean _createToken)
                               throws antlr.RecognitionException,
                                      antlr.CharStreamException,
                                      antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mLETTER

    protected final void mLETTER(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mDIGIT_NON_ARABIC

    protected final void mDIGIT_NON_ARABIC(boolean _createToken)
                                    throws antlr.RecognitionException,
                                           antlr.CharStreamException,
                                           antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mQUOTED_STRING

    public final void mQUOTED_STRING(boolean _createToken)
                              throws antlr.RecognitionException,
                                     antlr.CharStreamException,
                                     antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mESC

    protected final void mESC(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mSL_COMMENT

    public final void mSL_COMMENT(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mML_COMMENT

    public final void mML_COMMENT(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mVOCAB

    protected final void mVOCAB(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb